package edu.mit.ll.group43.surfaceoptimization;

/**
 * Enum for the different types of algorithms that can be used to
 * determine the optimal takeoff schedule for a given sequence
 * of aircraft.
 * 
 * @author bhawk90
 *
 */
public enum SequencerType {
	FCFS,	// First Come First Serve at the runway
	DP,		// Dynamic Programming
	LA		// Look Ahead
}
