package edu.mit.ll.group43.surfaceoptimization.aircraft;

import java.util.Comparator;

/**
 * Comparator for Aircraft based on when they are ready at
 * the spot.
 * 
 * @author William Hawkins
 *
 */
public class AircraftSpotReadyComparator implements Comparator<Aircraft> {

	@Override
	public int compare(Aircraft a, Aircraft b) {
		return a.getSpotReadyTime() - b.getSpotReadyTime();
	}
}
