package edu.mit.ll.group43.surfaceoptimization.dp.factory.node;

import edu.mit.ll.group43.surfaceoptimization.aircraft.Aircraft;
import edu.mit.ll.group43.surfaceoptimization.network.dp.CPSNetworkNode;
import edu.mit.ll.group43.surfaceoptimization.network.dp.Subsequence;

/**
 * CPS network node factory that simply returns instances of the base
 * class, CPSNetworkNode.
 * 
 * @author William Hawkins
 *
 */
public class DefaultCPSNetworkNodeFactory implements CPSNetworkNodeFactory {

	@Override
	public CPSNetworkNode getCPSNetworkNode(Subsequence<Aircraft> seq) {
		return new CPSNetworkNode(seq);
	}

}
