package edu.mit.ll.group43.surfaceoptimization.network.dp;

import java.util.ArrayList;

import edu.mit.ll.group43.surfaceoptimization.aircraft.Aircraft;

public class LenientSmartCPSNetworkNode extends SmartCPSNetworkNode {

	protected ArrayList<Aircraft> mostCorrectInvalidSequence;
	protected ArrayList<Aircraft> mostEfficientInvalidSequence;
	
	public LenientSmartCPSNetworkNode(Subsequence<Aircraft> aircraft) {
		super(aircraft);
	}
	
	public ArrayList<Aircraft> getMostCorrectInvalidSequence() {
		return mostCorrectInvalidSequence;
	}

	public void setMostCorrectInvalidSequence(
			ArrayList<Aircraft> mostCorrectInvalidSequence) {
		this.mostCorrectInvalidSequence = mostCorrectInvalidSequence;
	}

	public ArrayList<Aircraft> getMostEfficientInvalidSequence() {
		return mostEfficientInvalidSequence;
	}

	public void setMostEfficientInvalidSequence(
			ArrayList<Aircraft> mostEfficientInvalidSequence) {
		this.mostEfficientInvalidSequence = mostEfficientInvalidSequence;
	}
}
